CMSIS-DSP: arm_fir_example_f32.c File Reference

| CMSIS-DSP Version 1.5.2 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros | Functions | Variables
arm_fir_example_f32.c File Reference

## Macros
#define | TEST_LENGTH_SAMPLES
#define | SNR_THRESHOLD_F32
#define | BLOCK_SIZE
#define | NUM_TAPS

## Functions
int32_t | main (void)

## Variables
float32_t | testInput_f32_1kHz_15kHz [TEST_LENGTH_SAMPLES]
float32_t | refOutput [TEST_LENGTH_SAMPLES]
static float32_t | testOutput [TEST_LENGTH_SAMPLES]
static float32_t | firStateF32 [BLOCK_SIZE+NUM_TAPS-1]
const float32_t | firCoeffs32 [NUM_TAPS]
uint32_t | blockSize
uint32_t | numBlocks
float32_t | snr

## Macro Definition Documentation

#define BLOCK_SIZE

Examples:
  arm_fir_example_f32.c.

#define NUM_TAPS

Examples:
  arm_fir_example_f32.c.

Referenced by main().

#define SNR_THRESHOLD_F32

Examples:
  arm_fir_example_f32.c.

Referenced by main().

#define TEST_LENGTH_SAMPLES

Examples:
  arm_fir_example_f32.c.

Referenced by main().

## Function Documentation

int32_t main | ( | void |  | ) |

Examples:
  arm_fir_example_f32.c.

References arm_fir_f32(), arm_fir_init_f32(), ARM_MATH_SUCCESS, ARM_MATH_TEST_FAILURE, arm_snr_f32(), blockSize, firCoeffs32, firStateF32, NUM_TAPS, numBlocks, refOutput, snr, SNR_THRESHOLD_F32, status, TEST_LENGTH_SAMPLES, testInput_f32_1kHz_15kHz, and testOutput.

## Variable Documentation

uint32_t blockSize

Examples:
  arm_fir_example_f32.c, and arm_signal_converge_example_f32.c.

Referenced by arm_abs_f32(), arm_abs_q15(), arm_abs_q31(), arm_abs_q7(), arm_add_f32(), arm_add_q15(), arm_add_q31(), arm_add_q7(), arm_biquad_cas_df1_32x64_q31(), arm_biquad_cascade_df1_f32(), arm_biquad_cascade_df1_q31(), arm_biquad_cascade_df2T_f32(), arm_biquad_cascade_df2T_f64(), arm_biquad_cascade_stereo_df2T_f32(), arm_circularRead_f32(), arm_circularRead_q15(), arm_circularRead_q7(), arm_circularWrite_f32(), arm_circularWrite_q15(), arm_circularWrite_q7(), arm_copy_f32(), arm_copy_q15(), arm_copy_q31(), arm_copy_q7(), arm_dot_prod_f32(), arm_dot_prod_q15(), arm_dot_prod_q31(), arm_dot_prod_q7(), arm_fill_f32(), arm_fill_q15(), arm_fill_q31(), arm_fill_q7(), arm_fir_interpolate_f32(), arm_fir_interpolate_q15(), arm_fir_interpolate_q31(), arm_fir_lattice_f32(), arm_fir_lattice_q15(), arm_fir_lattice_q31(), arm_fir_q15(), arm_fir_q31(), arm_fir_q7(), arm_fir_sparse_f32(), arm_fir_sparse_q15(), arm_fir_sparse_q31(), arm_fir_sparse_q7(), arm_float_to_q15(), arm_float_to_q31(), arm_float_to_q7(), arm_iir_lattice_f32(), arm_iir_lattice_q15(), arm_iir_lattice_q31(), arm_lms_f32(), arm_lms_norm_f32(), arm_lms_norm_q15(), arm_lms_norm_q31(), arm_lms_q15(), arm_lms_q31(), arm_mean_f32(), arm_mean_q15(), arm_mean_q31(), arm_mean_q7(), arm_mult_f32(), arm_mult_q15(), arm_mult_q31(), arm_mult_q7(), arm_negate_f32(), arm_negate_q15(), arm_negate_q31(), arm_negate_q7(), arm_offset_f32(), arm_offset_q15(), arm_offset_q31(), arm_offset_q7(), arm_power_f32(), arm_power_q15(), arm_power_q31(), arm_power_q7(), arm_provide_guard_bits_q15(), arm_provide_guard_bits_q31(), arm_provide_guard_bits_q7(), arm_q15_to_float(), arm_q15_to_q31(), arm_q15_to_q7(), arm_q31_to_float(), arm_q31_to_q15(), arm_q31_to_q7(), arm_q7_to_float(), arm_q7_to_q15(), arm_q7_to_q31(), arm_rms_f32(), arm_rms_q15(), arm_rms_q31(), arm_scale_f32(), arm_scale_q15(), arm_scale_q31(), arm_scale_q7(), arm_shift_q15(), arm_shift_q31(), arm_shift_q7(), arm_std_f32(), arm_std_q15(), arm_std_q31(), arm_sub_f32(), arm_sub_q15(), arm_sub_q31(), arm_sub_q7(), arm_var_f32(), arm_var_q15(), arm_var_q31(), and main().

const float32_t firCoeffs32[NUM_TAPS]

Examples:
  arm_fir_example_f32.c.

Referenced by main().

float32_t firStateF32[BLOCK_SIZE+NUM_TAPS-1]
| static

Referenced by main().

uint32_t numBlocks

Examples:
  arm_fir_example_f32.c.

Referenced by main().

float32_t refOutput[TEST_LENGTH_SAMPLES]

Examples:
  arm_fir_example_f32.c.

Referenced by main().

float32_t snr

Examples:
  arm_fir_example_f32.c.

Referenced by main().

float32_t testInput_f32_1kHz_15kHz[TEST_LENGTH_SAMPLES]

Examples:
  arm_fir_example_f32.c.

Referenced by main().

float32_t testOutput[TEST_LENGTH_SAMPLES]
| static

Examples:
  arm_fir_example_f32.c.

Referenced by main().